import betterAuth from "@convex-dev/better-auth/convex.config";
import { defineApp } from "convex/server";
import { v } from "convex/values";

const app = defineApp({
  env: {
    NATIVE_APP_URL: v.optional(v.string()),
    SITE_URL: v.string(),
    FLUE_DB_TOKEN: v.string(),
  },
});
app.use(betterAuth);

export default app;
